## pandas 1.1.4%2Bdfsg

=== debian/changelog ===
pandas (1.1.4+dfsg-1+rpi1) bullseye-staging; urgency=medium

  * Disable testsuite.

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 10 Dec 2020 21:10:08 +0000

pandas (1.1.4+dfsg-1) unstable; urgency=medium

  * Upstream bugfix release.  Refresh patches, contributors_list.
  * Remove numba test-depends (skips tests).  (Closes: #973589)
  * Loosen pandas-lib->pandas Depends versioning.  (Closes: #973289)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 04 Nov 2020 18:36:11 +0000

pandas (1.1.3+dfsg-2) unstable; urgency=medium

  * Tests: re-xfail an intermittent instance of #877419.
  * Remove no longer needed test_statsmodels xfail.
  * Fix invalid test skips.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 22 Oct 2020 07:14:29 +0100

pandas (1.1.3+dfsg-1) unstable; urgency=medium

  * Upstream bugfix release.  Refresh patches, contributors_list.
  * Remove outdated README.source,
    add contributors_list update process.
  * Fix invalid test xfail.
  * Re-add mistakenly removed non-x86 test xfails.
  * Declare transition Breaks (see #969650).
  * Skip another test if multiprocessing is not available.
  * Update cython3 Depends.
  * Fix pytables expression bug with Python 3.9.  (Closes: #972015)
  * Allow test_statsmodels to fail on 3.9 to break bootstrap cycle.
  * Upload to unstable.  (Closes: #969650)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 18 Oct 2020 16:22:36 +0100

pandas (1.1.1+dfsg-3) experimental; urgency=medium

  * Remove no longer needed test xfails.
  * Xfail some more non-x86 numba tests and a new instance of #877419.
  * Skip test_register_entrypoint during build.
  * Tests: don't assume little-endian.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 03 Sep 2020 08:01:24 +0100

pandas (1.1.1+dfsg-2) experimental; urgency=medium

  * Unconditionally build-depend on sphinx-common (for dh_sphinxdoc).
  * Re-enable but ignore another potentially crashing non-x86 test.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 01 Sep 2020 08:17:32 +0100

pandas (1.1.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental.
  * Drop/refresh patches.  Update d/copyright and contributors_list.
  * Re-enable asyncio tests.
  * Skip fsspec tests while it is too old a version.
  * Fix plot test cleanup (upstream bug 35080).
  * Skip test that is expected to fail in our setup.
  * Update minimum dependency versions.
  * Use dh_sphinxdoc.
  * Re-enable but ignore potentially crashing non-x86 tests.
  * Simplify d/rules, mostly by using pybuild more.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 31 Aug 2020 18:44:39 +0100
