## pandas 1.1.4+dfsg

=== debian/control ===
--- 
+++ 
@@ -9,37 +9,38 @@
                dh-python,
                locales-all,
                python3-all-dev,
-               cython3 (>= 0.29.13~),
+               cython3 (>= 0.29.21~),
                python3-bottleneck (>= 1.2.1~) <!nocheck> <!nodoc>,
                python3-bs4 <!nocheck> <!nodoc>,
                python3-dask (>= 2.10.1~) <!nocheck> <!nodoc>,
-               python3-dateutil,
+               python3-dateutil (>= 2.7.3~),
                python3-html5lib <!nocheck> <!nodoc>,
                python3-hypothesis <!nocheck> <!nodoc>,
                python3-jinja2 <!nocheck> <!nodoc>,
                python3-lxml <!nocheck> <!nodoc>,
                python3-matplotlib [!hurd-i386],
-# armel, ppc64el, s390x numba crash, mipsel gives wrong answer, most ports don't have numba
-               python3-numba (>= 0.46.0~) [amd64 i386] <!nocheck> <!nodoc>,
+# armel, s390x numba crash, mipsel gives wrong answer, most ports don't have numba
+# re-add when #972246 is fixed               python3-numba (>= 0.46.0~) [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x] <!nocheck> <!nodoc>,
                python3-numexpr (>= 2.6.2~) <!nocheck> <!nodoc>,
                python3-numpy,
                python3-odf <!nocheck> <!nodoc>,
                python3-openpyxl <!nocheck> <!nodoc>,
 # upstream actually want pytest >= 5.0.1 but we don't have that
                python3-pytest (>= 4.0.2~) <!nocheck> <!nodoc>,
-# #969050               python3-pytest-asyncio <!nocheck> <!nodoc>,
+               python3-pytest-asyncio <!nocheck> <!nodoc>,
                python3-pytest-forked <!nocheck> <!nodoc>,
                python3-pytest-xdist (>= 1.21~) <!nocheck> <!nodoc>,
                python3-scipy,
                python3-setuptools,
                python3-six,
-               python3-tables (>= 3.4.2~) <!nocheck> <!nodoc>,
+               python3-tables (>= 3.4.3~) <!nocheck> <!nodoc>,
 # too old in Debian python3-tabulate (>= 0.8.3~) <!nocheck> <!nodoc>,
                python3-tk <!nocheck> <!nodoc>,
                python3-tz <!nocheck> <!nodoc>,
                python3-xlrd <!nocheck> <!nodoc>,
                python3-xlsxwriter <!nocheck> <!nodoc>,
                python3-xlwt <!nocheck> <!nodoc>,
+               sphinx-common,
                xvfb <!nocheck>,
                xauth <!nocheck>,
                xclip <!nocheck>,
@@ -78,8 +79,9 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
          python3-numpy (>= 1:1.15~),
-         python3-dateutil,
-         python3-pandas-lib (>= ${source:Version}),
+         python3-dateutil (>= 2.7.3~),
+         python3-pandas-lib (>= ${source:Upstream-Version}),
+# should maybe have a python3-pandas-lib (<< ${source:Upstream-Version}.0), as well, but that leaves arch:all BD-Uninstallable if arch:amd64 builds first
          python3-pkg-resources,
          python3-six,
 Recommends: python3-scipy,
@@ -108,15 +110,16 @@
 # 0.23 -> 0.25 API breaks, #931557
         cnvkit (<< 0.9.6-2~),
 # 0.25 -> 1.0 API breaks, #950430
-        python3-dask (<< 2.10.1~),
         python3-biom-format (<< 2.1.8+dfsg-3.1~),
         python3-feather-format (<< 0.3.1+dfsg1-4~),
-        python3-skbio (<< 0.5.5-4~),
         python3-statsmodels (<< 0.11.0~),
         python3-seaborn (<< 0.9.1~),
         q2-demux (<< 2019.10.0-1.1~),
         q2templates (<< 2019.10.0+dfsg-1.1~),
-        q2-types (<< 2019.10.0-1.1~)
+        q2-types (<< 2019.10.0-1.1~),
+# 1.0 -> 1.1 API breaks, #969650
+        python3-dask (<< 2.11.0+dfsg-1.1~),
+        python3-skbio (<< 0.5.6-3~)
 Description: data structures for "relational" or "labeled" data
  pandas is a Python package providing fast, flexible, and expressive
  data structures designed to make working with "relational" or
@@ -141,10 +144,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends},
-         libjs-jquery,
-         libjs-requirejs,
-         libjs-underscore,
-         libjs-mathjax
+         ${sphinxdoc:Depends}
 Suggests: python3-pandas
 Description: data structures for "relational" or "labeled" data - documentation
  pandas is a Python package providing fast, flexible, and expressive
