=== debian/tests/control ===
--- 
+++ 
@@ -14,27 +14,27 @@
          python3-all,
          python3-bs4,
          python3-dask (>= 2.10.1~),
-         python3-dateutil,
+         python3-dateutil (>= 2.7.3~),
          python3-html5lib,
          python3-hypothesis,
          python3-jinja2,
          python3-lxml,
          python3-matplotlib [!hurd-i386],
-# armel, ppc64el, s390x numba crash, mipsel gives wrong answer, most ports don't have numba
-         python3-numba (>= 0.46.0~) [amd64 i386],
+# armel, s390x numba crash, mipsel gives wrong answer, most ports don't have numba
+# re-add when #972246 is fixed         python3-numba (>= 0.46.0~) [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x],
          python3-numpy (>= 1:1.15~),
          python3-odf,
          python3-openpyxl,
          python3-pandas,
 # upstream actually want pytest >= 5.0.1 but we don't have that
          python3-pytest (>= 4.0.2~),
-# #969050         python3-pytest-asyncio,
+         python3-pytest-asyncio,
          python3-pytest-forked,
          python3-pytest-xdist (>= 1.21~),
          python3-scipy,
          python3-six,
          python3-statsmodels,
-         python3-tables (>= 3.4.2~),
+         python3-tables (>= 3.4.3~),
 # too old in Debian python3-tabulate (>= 0.8.3~),
          python3-tk,
          python3-tz,
