=== debian/changelog ===
pandas (1.1.5+dfsg-2) unstable; urgency=medium

  * Remove dead URL from tests/examples.  (Closes: #979621)
  * Mark autopkgtest needs-internet.
  * Revert "Print uname etc during build".
  * Mark matplotlib nocheck/nodoc and allow building on ports without
    matplotlib or numexpr.  (Closes: #977470)
  * Add python3-tabulate build/test-depends.
  * Add bottleneck and numexpr test-depends.
  * Tests: don't require warnings that jedi no longer produces.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 12 Jan 2021 21:06:04 +0000

pandas (1.1.5+dfsg-1) unstable; urgency=medium

  * Upstream bugfix release.  Refresh patches, contributors_list.
  * Default to openpyxl not xlrd in read_excel, and skip xlrd tests,
    as xlrd fails if defusedxml is installed (#976620).
  * Skip numba tests, and not other rolling.apply tests, on s390x.
    (LP: #1901860)
  * Tests: on 32 bit systems, avoid time input that overflows.
  * Print uname etc during build (test for #973854).
  * Bump Standards-Version to 4.5.1 (no changes needed).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 07 Dec 2020 23:06:28 +0000
