=== debian/control ===
--- 
+++ 
@@ -18,14 +18,14 @@
                python3-hypothesis <!nocheck> <!nodoc>,
                python3-jinja2 <!nocheck> <!nodoc>,
                python3-lxml <!nocheck> <!nodoc>,
-               python3-matplotlib [!hurd-i386],
+               python3-matplotlib [!ia64 !sh4 !x32] <!nocheck> <!nodoc>,
 # armel, s390x numba crash, mipsel gives wrong answer, most ports don't have numba
 # re-add when #972246 is fixed               python3-numba (>= 0.46.0~) [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x] <!nocheck> <!nodoc>,
-               python3-numexpr (>= 2.6.2~) <!nocheck> <!nodoc>,
+               python3-numexpr (>= 2.6.2~) [!kfreebsd-any !sparc64] <!nocheck> <!nodoc>,
                python3-numpy,
                python3-odf <!nocheck> <!nodoc>,
                python3-openpyxl <!nocheck> <!nodoc>,
-# upstream actually want pytest >= 5.0.1 but we don't have that
+# upstream actually want pytest >= 5.0.1 but we don't have that in testing
                python3-pytest (>= 4.0.2~) <!nocheck> <!nodoc>,
                python3-pytest-asyncio <!nocheck> <!nodoc>,
                python3-pytest-forked <!nocheck> <!nodoc>,
@@ -34,10 +34,10 @@
                python3-setuptools,
                python3-six,
                python3-tables (>= 3.4.3~) <!nocheck> <!nodoc>,
-# too old in Debian python3-tabulate (>= 0.8.3~) <!nocheck> <!nodoc>,
+               python3-tabulate (>= 0.8.3~) <!nocheck> <!nodoc>,
                python3-tk <!nocheck> <!nodoc>,
                python3-tz <!nocheck> <!nodoc>,
-               python3-xlrd <!nocheck> <!nodoc>,
+# broken - #976620               python3-xlrd <!nocheck> <!nodoc>,
                python3-xlsxwriter <!nocheck> <!nodoc>,
                python3-xlwt <!nocheck> <!nodoc>,
                sphinx-common,
@@ -69,7 +69,7 @@
  python3-sqlalchemy <!nodoc>,
  python3-statsmodels <!nodoc>,
  python3-xarray <!nodoc>,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://pandas.pydata.org/
 Vcs-Browser: https://salsa.debian.org/science-team/pandas
@@ -94,7 +94,7 @@
 # for spreadsheet I/O
             python3-odf,
             python3-openpyxl,
-            python3-xlrd,
+# broken - #976620            python3-xlrd,
             python3-xlwt,
 # for HTML table I/O
             python3-bs4,
