=== debian/rules ===
--- 
+++ 
@@ -111,4 +111,4 @@
 
 # see PYBUILD_TEST_ARGS above
 override_dh_auto_test:
-	#PYBUILD_SYSTEM=custom dh_auto_test
+	PYBUILD_SYSTEM=custom dh_auto_test
