=== debian/tests/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 Tests: unittests3
 Depends: locales-all,
          python3-all,
+         python3-bottleneck (>= 1.2.1~),
          python3-bs4,
          python3-dask (>= 2.10.1~),
          python3-dateutil (>= 2.7.3~),
@@ -22,11 +23,12 @@
          python3-matplotlib [!hurd-i386],
 # armel, s390x numba crash, mipsel gives wrong answer, most ports don't have numba
 # re-add when #972246 is fixed         python3-numba (>= 0.46.0~) [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x],
+         python3-numexpr (>= 2.6.2~),
          python3-numpy (>= 1:1.15~),
          python3-odf,
          python3-openpyxl,
          python3-pandas,
-# upstream actually want pytest >= 5.0.1 but we don't have that
+# upstream actually want pytest >= 5.0.1 but we don't have that in testing
          python3-pytest (>= 4.0.2~),
          python3-pytest-asyncio,
          python3-pytest-forked,
@@ -35,14 +37,14 @@
          python3-six,
          python3-statsmodels,
          python3-tables (>= 3.4.3~),
-# too old in Debian python3-tabulate (>= 0.8.3~),
+         python3-tabulate (>= 0.8.3~),
          python3-tk,
          python3-tz,
          python3-xarray,
-         python3-xlrd,
+# broken - #976620         python3-xlrd,
          python3-xlsxwriter,
          python3-xlwt,
          xauth,
          xvfb,
          xclip,
-Restrictions: allow-stderr
+Restrictions: allow-stderr, needs-internet
