=== debian/watch ===
version=4
opts="dversionmangle=s/.dfsg[0-9]*$//,uversionmangle=s/v//;s/rc/~rc/,filenamemangle=s/.*\/(.*)/pandas-$1\.tar\.gz/,repacksuffix=+dfsg" \
 https://github.com/pydata/pandas/tags .*archive/v?([\d\.rc]+).tar.gz
