=== debian/tests/control ===
--- 
+++ 
@@ -10,7 +10,9 @@
 # us to specify the path (pandas.__path__) in command line.
 # See: pandas/util/_tester.py
 Tests: unittests3
-Depends: locales-all,
+# xml test_wrong_url fails without ca-certificates
+Depends: ca-certificates,
+         locales-all,
          python3-all,
          python3-bottleneck (>= 1.2.1~),
          python3-bs4,
@@ -22,14 +24,13 @@
          python3-lxml,
          python3-matplotlib [!hurd-i386],
 # armel, s390x numba crash, mipsel gives wrong answer, most ports don't have numba
-# re-add when #972246 is fixed         python3-numba (>= 0.46.0~) [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x],
-         python3-numexpr (>= 2.6.2~),
+         python3-numba (>= 0.46.0~) [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x],
+         python3-numexpr (>= 2.7~),
          python3-numpy (>= 1:1.15~),
          python3-odf,
          python3-openpyxl,
          python3-pandas,
-# upstream actually want pytest >= 5.0.1 but we don't have that in testing
-         python3-pytest (>= 4.0.2~),
+         python3-pytest (>= 6.0~),
          python3-pytest-asyncio,
          python3-pytest-forked,
          python3-pytest-xdist (>= 1.21~),
@@ -41,7 +42,7 @@
          python3-tk,
          python3-tz,
          python3-xarray,
-# broken - #976620         python3-xlrd,
+         python3-xlrd,
          python3-xlsxwriter,
          python3-xlwt,
          xauth,
